FreeMat

- Main Page
- Related Pages

vtkPOutlineFilter

Section: Visualization Toolkit Parallel Classes

# Usage

vtkPOutlineFilter works like vtkOutlineFilter, but it looks for data partitions in other processes. It assumes the filter is operated in a data parallel pipeline.

To create an instance of class vtkPOutlineFilter, simply invoke its constructor as follows

      obj = vtkPOutlineFilter

# Methods

The class vtkPOutlineFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPOutlineFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPOutlineFilter = obj.NewInstance ()`
- `vtkPOutlineFilter = obj.SafeDownCast (vtkObject o)`
- `obj.SetController (vtkMultiProcessController )` - Set and get the controller.
- `vtkMultiProcessController = obj.GetController ()` - Set and get the controller.